Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1114)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1115)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! ------------------
+! calculation of qr and nr is restricted to precipitation
 !
 ! Former revisions:
@@ -210,10 +211,11 @@
           sums_wspts_ws_l = 0.0
 
-          IF ( humidity .OR. passive_scalar )  THEN
+          IF ( humidity  .OR.  passive_scalar )  THEN
              ALLOCATE( sums_wsqs_ws_l(nzb:nzt+1,0:threads_per_task-1) )
              sums_wsqs_ws_l = 0.0
           ENDIF
 
-          IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
+          IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  &
+               precipitation )  THEN
              ALLOCATE( sums_wsqrs_ws_l(nzb:nzt+1,0:threads_per_task-1) )
              ALLOCATE( sums_wsnrs_ws_l(nzb:nzt+1,0:threads_per_task-1) )
@@ -264,5 +266,5 @@
                        diss_l_e(nzb+1:nzt,nys:nyn,0:threads_per_task-1) )
 
-             IF ( humidity .OR. passive_scalar )  THEN
+             IF ( humidity  .OR.  passive_scalar )  THEN
                 ALLOCATE( flux_s_q(nzb+1:nzt,0:threads_per_task-1),          &
                           diss_s_q(nzb+1:nzt,0:threads_per_task-1) )
@@ -271,5 +273,6 @@
              ENDIF
 
-             IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
+             IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.            &
+                  precipitation )  THEN
                 ALLOCATE( flux_s_qr(nzb+1:nzt,0:threads_per_task-1),         &
                           diss_s_qr(nzb+1:nzt,0:threads_per_task-1),         &
@@ -280,5 +283,5 @@
                           flux_l_nr(nzb+1:nzt,nys:nyn,0:threads_per_task-1), &
                           diss_l_nr(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ) 
-             END IF
+             ENDIF
 
              IF ( ocean )  THEN
@@ -297,5 +300,5 @@
 
 !------------------------------------------------------------------------------!
-! Initialize variables used for storing statistic qauntities (fluxes, variances)
+! Initialize variables used for storing statistic quantities (fluxes, variances)
 !------------------------------------------------------------------------------!
     SUBROUTINE ws_statistics
@@ -319,6 +322,7 @@
        IF ( ws_scheme_sca )  THEN
           sums_wspts_ws_l = 0.0
-          IF ( humidity .OR. passive_scalar )  sums_wsqs_ws_l = 0.0
-          IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
+          IF ( humidity  .OR.  passive_scalar )  sums_wsqs_ws_l = 0.0
+          IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  &
+               precipitation )  THEN
              sums_wsqrs_ws_l = 0.0
              sums_wsnrs_ws_l = 0.0
@@ -770,5 +774,4 @@
                                  * weight_substep(intermediate_timestep_count)
              ENDDO
-
 
          END SELECT
Index: /palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- /palm/trunk/SOURCE/average_3d_data.f90	(revision 1114)
+++ /palm/trunk/SOURCE/average_3d_data.f90	(revision 1115)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! +qc
 !
 ! Former revisions:
@@ -181,4 +182,13 @@
              ENDDO
 
+          CASE ( 'qc' )
+             DO  i = nxlg, nxrg
+                DO  j = nysg, nyng
+                   DO  k = nzb, nzt+1
+                      qc_av(k,j,i) = qc_av(k,j,i) / REAL( average_count_3d )
+                   ENDDO
+                ENDDO
+             ENDDO
+
           CASE ( 'ql' )
              DO  i = nxlg, nxrg
Index: /palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- /palm/trunk/SOURCE/boundary_conds.f90	(revision 1114)
+++ /palm/trunk/SOURCE/boundary_conds.f90	(revision 1115)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! boundary conditions of two-moment cloud scheme are restricted to Neumann-
+! boundary-conditions
 !  
 ! Former revisions:
@@ -246,43 +247,20 @@
        q_p(nzt+1,:,:) = q_p(nzt,:,:)   + bc_q_t_val * dzu(nzt+1)
 
-       IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
+       IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  &
+            precipitation )  THEN
 !             
-!--       Surface conditions for constant_humidity_flux
-          IF ( ibc_qr_b == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   qr_p(nzb_s_inner(j,i),j,i) = qr(nzb_s_inner(j,i),j,i)
-                ENDDO
-             ENDDO
-          ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   qr_p(nzb_s_inner(j,i),j,i) = qr_p(nzb_s_inner(j,i)+1,j,i)
-                ENDDO
-             ENDDO
-          ENDIF
-!
-!--       Top boundary
-          qr_p(nzt+1,:,:) = qr_p(nzt,:,:) + bc_qr_t_val * dzu(nzt+1)
-!             
-!--       Surface conditions for constant_humidity_flux
-          IF ( ibc_nr_b == 0 ) THEN
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   nr_p(nzb_s_inner(j,i),j,i) = nr(nzb_s_inner(j,i),j,i)
-                ENDDO
-             ENDDO
-          ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   nr_p(nzb_s_inner(j,i),j,i) = nr_p(nzb_s_inner(j,i)+1,j,i)
-                ENDDO
-             ENDDO
-          ENDIF
-!
-!--       Top boundary
-          nr_p(nzt+1,:,:) = nr_p(nzt,:,:) + bc_nr_t_val * dzu(nzt+1)
+!--       Surface conditions rain water (Neumann)
+          DO  i = nxlg, nxrg
+             DO  j = nysg, nyng
+                qr_p(nzb_s_inner(j,i),j,i) = qr_p(nzb_s_inner(j,i)+1,j,i)
+                nr_p(nzb_s_inner(j,i),j,i) = nr_p(nzb_s_inner(j,i)+1,j,i)
+             ENDDO
+          ENDDO
+!
+!--       Top boundary condition for rain water (Neumann)
+          qr_p(nzt+1,:,:) = qr_p(nzt,:,:)
+          nr_p(nzt+1,:,:) = nr_p(nzt,:,:)
+           
        ENDIF
-
 !
 !--    In case of inflow at the south boundary the boundary for v is at nys
@@ -308,7 +286,8 @@
           pt_p(:,nys-1,:)     = pt_p(:,nys,:)
           IF ( .NOT. constant_diffusion     )  e_p(:,nys-1,:) = e_p(:,nys,:)
-          IF ( humidity .OR. passive_scalar )  THEN
+          IF ( humidity  .OR.  passive_scalar )  THEN
              q_p(:,nys-1,:) = q_p(:,nys,:)
-             IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
+             IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  &
+                  precipitation)  THEN
                 qr_p(:,nys-1,:) = qr_p(:,nys,:)
                 nr_p(:,nys-1,:) = nr_p(:,nys,:)
@@ -318,7 +297,8 @@
           pt_p(:,nyn+1,:)     = pt_p(:,nyn,:)
           IF ( .NOT. constant_diffusion     )  e_p(:,nyn+1,:) = e_p(:,nyn,:)
-          IF ( humidity .OR. passive_scalar )  THEN
+          IF ( humidity  .OR.  passive_scalar )  THEN
              q_p(:,nyn+1,:) = q_p(:,nyn,:)
-             IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
+             IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  &
+                  precipitation )  THEN
                 qr_p(:,nyn+1,:) = qr_p(:,nyn,:)
                 nr_p(:,nyn+1,:) = nr_p(:,nyn,:)
@@ -328,7 +308,8 @@
           pt_p(:,:,nxl-1)     = pt_p(:,:,nxl)
           IF ( .NOT. constant_diffusion     )  e_p(:,:,nxl-1) = e_p(:,:,nxl)
-          IF ( humidity .OR. passive_scalar )  THEN
+          IF ( humidity  .OR.  passive_scalar )  THEN
              q_p(:,:,nxl-1) = q_p(:,:,nxl)
-             IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
+             IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  &
+                  precipitation )  THEN
                 qr_p(:,:,nxl-1) = qr_p(:,:,nxl)
                 nr_p(:,:,nxl-1) = nr_p(:,:,nxl)
@@ -340,5 +321,5 @@
           IF ( humidity .OR. passive_scalar )  THEN
              q_p(:,:,nxr+1) = q_p(:,:,nxr)
-             IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
+             IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  precipitation )  THEN
                 qr_p(:,:,nxr+1) = qr_p(:,:,nxr)
                 nr_p(:,:,nxr+1) = nr_p(:,:,nxr)
Index: /palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1114)
+++ /palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 1115)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! drizzle can be used independently from precipitation
 !
 ! Former revisions:
@@ -63,4 +64,5 @@
     USE cloud_parameters
     USE constants
+    USE control_parameters
     USE grid_variables
     USE indices
@@ -75,5 +77,5 @@
     DO  i = nxlg, nxrg
        DO  j = nysg, nyng
-          DO  k = nzb_2d(j,i)+1, nzt
+          DO  k = nzb_s_inner(j,i)+1, nzt
 
 !
@@ -101,10 +103,27 @@
 !
 !--          Compute the liquid water content
-             IF ( ( q(k,j,i) - q_s ) > 0.0 ) THEN
-                ql(k,j,i) = q(k,j,i) - q_s
+             IF ( icloud_scheme == 0  .AND.  precipitation)  THEN
+                IF ( ( q(k,j,i) - q_s - qr(k,j,i) ) > 0.0 ) THEN
+                   qc(k,j,i) = q(k,j,i) - q_s - qr(k,j,i)
+                   ql(k,j,i) = qc(k,j,i) + qr(k,j,i)
+                ELSE
+                   qc(k,j,i) = 0.0 
+                   ql(k,j,i) = qr(k,j,i)
+                ENDIF
+             ELSEIF ( icloud_scheme == 0  .AND.  .NOT. precipitation )  THEN
+                IF ( ( q(k,j,i) - q_s ) > 0.0 ) THEN
+                   qc(k,j,i) = q(k,j,i) - q_s
+                   ql(k,j,i) = qc(k,j,i)
+                ELSE
+                   qc(k,j,i) = 0.0 
+                   ql(k,j,i) = 0.0
+                ENDIF
              ELSE
-                ql(k,j,i) = 0.0 
+                IF ( ( q(k,j,i) - q_s ) > 0.0 ) THEN
+                   ql(k,j,i) = q(k,j,i) - q_s
+                ELSE
+                   ql(k,j,i) = 0.0 
+                ENDIF
              ENDIF
-
           ENDDO
        ENDDO
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1114)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1115)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! unused variables removed
+! drizzle can be used without precipitation
 !
 ! Former revisions:
@@ -569,6 +570,9 @@
           WRITE( action, '(A)' )  'galilei_transformation = .TRUE.'
        ENDIF
+       IF ( cloud_physics )  THEN
+          WRITE( action, '(A)' )  'cloud_physics = .TRUE.'
+       ENDIF
        IF ( cloud_droplets )  THEN
-          WRITE( action, '(A)' )  'cloud_droplets = .TRUE. (has not been tested)'
+          WRITE( action, '(A)' )  'cloud_droplets = .TRUE.'
        ENDIF
        IF ( .NOT. prandtl_layer )  THEN
@@ -899,10 +903,10 @@
     ENDIF 
 
-    IF ( cloud_physics  .AND. icloud_scheme == 0  .AND.                      &
-         .NOT. precipitation ) THEN
-       message_string = 'cloud_scheme = seifert_beheng requires ' // &
-                        'precipitation = .TRUE.'
-       CALL message( 'check_parameters', 'PA0363', 1, 2, 0, 6, 0 )
-    ENDIF 
+!    IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  &
+!         .NOT. precipitation  .AND.  .NOT. drizzle ) THEN
+!       message_string = 'cloud_scheme = seifert_beheng requires ' // &
+!                        'precipitation = .TRUE. or drizzle = .TRUE.'
+!       CALL message( 'check_parameters', 'PA0363', 1, 2, 0, 6, 0 )
+!    ENDIF 
 
 !
@@ -916,11 +920,4 @@
        IF ( humidity )  THEN
           q_init  = q_surface
-!
-!--       It is not allowed to choose initial profiles of rain water content 
-!--       and rain drop concentration. They are set to 0.0.
-          IF ( cloud_physics .AND. icloud_scheme == 0 ) THEN
-             qr_init = 0.0
-             nr_init = 0.0
-          ENDIF
        ENDIF
        IF ( ocean )           sa_init = sa_surface
@@ -1228,86 +1225,8 @@
              q_vertical_gradient_level(1) = 0.0
           ENDIF
-
-          IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
-
-             i = 1
-             gradient = 0.0
-             qr_vertical_gradient_level_ind(1) = 0
-             DO  k = 1, nzt+1
-                IF ( i < 11 ) THEN
-                   IF ( qr_vertical_gradient_level(i) < zu(k)  .AND. &
-                        qr_vertical_gradient_level(i) >= 0.0 )  THEN
-                      gradient = qr_vertical_gradient(i) / 100.0
-                      qr_vertical_gradient_level_ind(i) = k - 1
-                      i = i + 1
-                   ENDIF
-                ENDIF
-                IF ( gradient /= 0.0 )  THEN
-                   IF ( k /= 1 )  THEN
-                      qr_init(k) = qr_init(k-1) + dzu(k) * gradient
-                   ELSE
-                      qr_init(k) = qr_init(k-1) + 0.5 * dzu(k) * gradient
-                   ENDIF
-                ELSE
-                   qr_init(k) = qr_init(k-1)
-                ENDIF
-!
-!--             Avoid negative rain water content
-                IF ( qr_init(k) < 0.0 )  THEN
-                   qr_init(k) = 0.0
-                ENDIF
-             ENDDO
-!
-!--          In case of no given rain water content gradients, choose zero gradient
-!--          conditions
-             IF ( qr_vertical_gradient_level(1) == -1.0 )  THEN
-                qr_vertical_gradient_level(1) = 0.0
-             ENDIF
-
-             i = 1
-             gradient = 0.0
-             nr_vertical_gradient_level_ind(1) = 0
-             DO  k = 1, nzt+1
-                IF ( i < 11 ) THEN
-                   IF ( nr_vertical_gradient_level(i) < zu(k)  .AND. &
-                        nr_vertical_gradient_level(i) >= 0.0 )  THEN
-                      gradient = nr_vertical_gradient(i) / 100.0
-                      nr_vertical_gradient_level_ind(i) = k - 1
-                      i = i + 1
-                   ENDIF
-                ENDIF
-                IF ( gradient /= 0.0 )  THEN
-                   IF ( k /= 1 )  THEN
-                      nr_init(k) = nr_init(k-1) + dzu(k) * gradient
-                   ELSE
-                      nr_init(k) = nr_init(k-1) + 0.5 * dzu(k) * gradient
-                   ENDIF
-                ELSE
-                   nr_init(k) = nr_init(k-1)
-                ENDIF
-!
-!--             Avoid negative rain water content
-                IF ( nr_init(k) < 0.0 )  THEN
-                   nr_init(k) = 0.0
-                ENDIF
-             ENDDO
-!
-!--          In case of no given rain water content gradients, choose zero gradient
-!--          conditions
-             IF ( nr_vertical_gradient_level(1) == -1.0 )  THEN
-                nr_vertical_gradient_level(1) = 0.0
-             ENDIF
-
-          ENDIF
 !
 !--       Store humidity, rain water content and rain drop concentration 
 !--       gradient at the top boundary for possile Neumann boundary condition
           bc_q_t_val  = ( q_init(nzt+1) - q_init(nzt) ) / dzu(nzt+1)
-            
-          IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
-             bc_qr_t_val = ( qr_init(nzt+1) - qr_init(nzt) ) / dzu(nzt+1)
-             bc_nr_t_val = ( nr_init(nzt+1) - nr_init(nzt) ) / dzu(nzt+1)
-          ENDIF
-
        ENDIF
 
@@ -1787,45 +1706,5 @@
        ENDIF
 
-       IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
-          IF ( bc_qr_b == 'dirichlet' )  THEN
-             ibc_qr_b = 0
-          ELSEIF ( bc_qr_b == 'neumann' )  THEN
-             ibc_qr_b = 1
-          ELSE
-             message_string = 'unknown boundary condition: bc_qr_b ="' // &
-                              TRIM( bc_qr_b ) // '"'
-             CALL message( 'check_parameters', 'PA0352', 1, 2, 0, 6, 0 )
-          ENDIF
-          IF ( bc_qr_t == 'dirichlet' )  THEN
-             ibc_qr_t = 0
-          ELSEIF ( bc_qr_t == 'neumann' )  THEN
-             ibc_qr_t = 1
-          ELSE
-             message_string = 'unknown boundary condition: bc_qr_t ="' // &
-                              TRIM( bc_qr_t ) // '"'
-             CALL message( 'check_parameters', 'PA0353', 1, 2, 0, 6, 0 )
-          ENDIF
-          IF ( bc_nr_b == 'dirichlet' )  THEN
-             ibc_nr_b = 0
-          ELSEIF ( bc_nr_b == 'neumann' )  THEN
-             ibc_nr_b = 1
-          ELSE
-             message_string = 'unknown boundary condition: bc_nr_b ="' // &
-                              TRIM( bc_nr_b ) // '"'
-             CALL message( 'check_parameters', 'PA0355', 1, 2, 0, 6, 0 )
-          ENDIF
-          IF ( bc_nr_t == 'dirichlet' )  THEN
-             ibc_nr_t = 0
-          ELSEIF ( bc_nr_t == 'neumann' )  THEN
-             ibc_nr_t = 1
-          ELSE
-             message_string = 'unknown boundary condition: bc_nr_t ="' // &
-                              TRIM( bc_nr_t ) // '"'
-             CALL message( 'check_parameters', 'PA0356', 1, 2, 0, 6, 0 )
-          ENDIF
-       ENDIF       
-
-    ENDIF
-
+    ENDIF
 !
 !-- Boundary conditions for horizontal components of wind speed
@@ -2669,4 +2548,9 @@
                                  'lemented for cloud_scheme /= seifert_beheng'
                 CALL message( 'check_parameters', 'PA0358', 1, 2, 0, 6, 0 )
+             ELSEIF ( .NOT. precipitation )  THEN
+                message_string = 'data_output_pr = ' // &
+                                 TRIM( data_output_pr(i) ) // ' is not imp' // &
+                                 'lemented for precipitation = .FALSE.'
+                CALL message( 'check_parameters', 'PA0361', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 73
@@ -2686,4 +2570,9 @@
                                  'lemented for cloud_scheme /= seifert_beheng'
                 CALL message( 'check_parameters', 'PA0358', 1, 2, 0, 6, 0 )
+             ELSEIF ( .NOT. precipitation )  THEN
+                message_string = 'data_output_pr = ' // &
+                                 TRIM( data_output_pr(i) ) // ' is not imp' // &
+                                 'lemented for precipitation = .FALSE.'
+                CALL message( 'check_parameters', 'PA0361', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 74
@@ -2906,4 +2795,8 @@
                          'res cloud_scheme = seifert_beheng'
                 CALL message( 'check_parameters', 'PA0359', 1, 2, 0, 6, 0 )
+             ELSEIF ( .NOT. precipitation )  THEN
+                message_string = 'output of "' // TRIM( var ) // '" requi' // &
+                                 'res precipitation = .TRUE.'
+                CALL message( 'check_parameters', 'PA0112', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'kg/kg'
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 1114)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 1115)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! ql is calculated by calc_liquid_water_content
 !
 ! Former revisions:
@@ -483,37 +484,15 @@
              CASE ( 'qc_xy', 'qc_xz', 'qc_yz' )
                 IF ( av == 0 )  THEN
+                   to_be_resorted => qc
+                ELSE
+                   to_be_resorted => qc_av
+                ENDIF
+                IF ( mode == 'xy' )  level_z = zu
+
+             CASE ( 'ql_xy', 'ql_xz', 'ql_yz' )
+                IF ( av == 0 )  THEN
                    to_be_resorted => ql
                 ELSE
                    to_be_resorted => ql_av
-                ENDIF
-                IF ( mode == 'xy' )  level_z = zu
-
-             CASE ( 'ql_xy', 'ql_xz', 'ql_yz' )
-                IF ( av == 0 )  THEN
-                   IF ( cloud_physics  .AND.  icloud_scheme == 0 )  THEN
-                      DO  i = nxlg, nxrg
-                         DO  j = nysg, nyng
-                            DO  k = nzb, nzt+1
-                               local_pf(i,j,k) = ql(k,j,i) + qr(k,j,i)
-                            ENDDO
-                         ENDDO
-                      ENDDO
-                      resorted = .TRUE.
-                   ELSE
-                      to_be_resorted => ql
-                   ENDIF
-                ELSE
-                   IF ( cloud_physics  .AND.  icloud_scheme == 0 )  THEN
-                      DO  i = nxlg, nxrg
-                         DO  j = nysg, nyng
-                            DO  k = nzb, nzt+1
-                               local_pf(i,j,k) = ql_av(k,j,i) + qr_av(k,j,i)
-                            ENDDO
-                         ENDDO
-                      ENDDO
-                      resorted = .TRUE.
-                   ELSE
-                      to_be_resorted => ql_av
-                   ENDIF
                 ENDIF
                 IF ( mode == 'xy' )  level_z = zu
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1114)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1115)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! ql is calculated by calc_liquid_water_content
 !
 ! Former revisions:
@@ -337,36 +337,14 @@
           CASE ( 'qc' )
              IF ( av == 0 )  THEN
+                to_be_resorted => qc
+             ELSE
+                to_be_resorted => qc_av
+             ENDIF
+
+          CASE ( 'ql' )
+             IF ( av == 0 )  THEN
                 to_be_resorted => ql
              ELSE
                 to_be_resorted => ql_av
-             ENDIF
-
-          CASE ( 'ql' )
-             IF ( av == 0 )  THEN
-                IF ( cloud_physics  .AND.  icloud_scheme == 0 )  THEN
-                   DO  i = nxlg, nxrg
-                      DO  j = nysg, nyng
-                         DO  k = nzb, nz_do3d
-                            local_pf(i,j,k) = ql(k,j,i) + qr(k,j,i)
-                         ENDDO
-                      ENDDO
-                   ENDDO
-                   resorted = .TRUE.
-                ELSE
-                   to_be_resorted => ql
-                ENDIF
-             ELSE
-                IF ( cloud_physics  .AND.  icloud_scheme == 0 )  THEN
-                   DO  i = nxlg, nxrg
-                      DO  j = nysg, nyng
-                         DO  k = nzb, nz_do3d
-                            local_pf(i,j,k) = ql_av(k,j,i) + qr_av(k,j,i)
-                         ENDDO
-                      ENDDO
-                   ENDDO
-                   resorted = .TRUE.
-                ELSE
-                   to_be_resorted => ql_av
-                ENDIF
              ENDIF
 
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1114)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1115)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! ql is calculated by calc_liquid_water_content
 !
 ! Former revisions:
@@ -766,29 +766,30 @@
                                                           rmask(j,i,sr)
                       IF ( .NOT. cloud_droplets )  THEN
-                         pts = 0.5 *                                          &
-                              ( ( q(k,j,i) - ql(k,j,i) ) -                    &
-                              hom(k,1,42,sr) +                                &
-                              ( q(k+1,j,i) - ql(k+1,j,i) ) -                  &
+                         pts = 0.5 *                                           &
+                              ( ( q(k,j,i) - ql(k,j,i) ) -                     &
+                              hom(k,1,42,sr) +                                 &
+                              ( q(k+1,j,i) - ql(k+1,j,i) ) -                   &
                               hom(k+1,1,42,sr) )
-                         sums_l(k,52,tn) = sums_l(k,52,tn) + pts * w(k,j,i) * &
+                         sums_l(k,52,tn) = sums_l(k,52,tn) + pts * w(k,j,i) *  &
                                                              rmask(j,i,sr)
                          IF ( icloud_scheme == 0  )  THEN
-                            sums_l(k,54,tn) = sums_l(k,54,tn) + ( ql(k,j,i) + &
-                                                                qr(k,j,i) ) * &
+                            sums_l(k,54,tn) = sums_l(k,54,tn) + ql(k,j,i) *    &
                                                                 rmask(j,i,sr)
-                            sums_l(k,73,tn) = sums_l(k,73,tn) + nr(k,j,i) *   &
+                            sums_l(k,75,tn) = sums_l(k,75,tn) + qc(k,j,i) *    &
                                                                 rmask(j,i,sr)
-                            sums_l(k,74,tn) = sums_l(k,74,tn) + qr(k,j,i) *   &
-                                                                rmask(j,i,sr)
-                            sums_l(k,75,tn) = sums_l(k,75,tn) + ql(k,j,i) *   &
-                                                                rmask(j,i,sr)
-                            sums_l(k,76,tn) = sums_l(k,76,tn) + prr(k,j,i) *  &
-                                                                rmask(j,i,sr)
+                            IF ( precipitation )  THEN
+                               sums_l(k,73,tn) = sums_l(k,73,tn) + nr(k,j,i) * &
+                                                                   rmask(j,i,sr)
+                               sums_l(k,74,tn) = sums_l(k,74,tn) + qr(k,j,i) * &
+                                                                   rmask(j,i,sr)
+                               sums_l(k,76,tn) = sums_l(k,76,tn) + prr(k,j,i) *&
+                                                                   rmask(j,i,sr)
+                            ENDIF
                          ELSE
-                            sums_l(k,54,tn) = sums_l(k,54,tn) + ql(k,j,i) *   &
+                            sums_l(k,54,tn) = sums_l(k,54,tn) + ql(k,j,i) *    &
                                                                 rmask(j,i,sr)
                          ENDIF
                       ELSE
-                         sums_l(k,54,tn) = sums_l(k,54,tn) + ql(k,j,i) *      &
+                         sums_l(k,54,tn) = sums_l(k,54,tn) + ql(k,j,i) *       &
                                                              rmask(j,i,sr)
                       ENDIF
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1114)
+++ /palm/trunk/SOURCE/header.f90	(revision 1115)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! descriptions for Seifert-Beheng-cloud-physics-scheme added
 !
 ! Former revisions:
@@ -1237,4 +1237,8 @@
        WRITE ( io, 415 )
        WRITE ( io, 416 ) surface_pressure, r_d, rho_surface, cp, l_v
+       IF ( icloud_scheme == 0 )  THEN
+          WRITE ( io, 510 ) 1.0E-6 * nc_const
+          IF ( precipitation )  WRITE ( io, 511 ) c_sedimentation
+       ENDIF
     ENDIF
 
@@ -1458,6 +1462,16 @@
     ELSEIF ( humidity  .AND.  cloud_physics )  THEN
        WRITE ( io, 432 )
-       IF ( radiation )      WRITE ( io, 132 )
-       IF ( precipitation )  WRITE ( io, 133 )
+       IF ( radiation )  WRITE ( io, 132 )
+       IF ( icloud_scheme == 1 )  THEN
+          IF ( precipitation )  WRITE ( io, 133 )
+       ELSEIF ( icloud_scheme == 0 )  THEN
+          IF ( drizzle )  WRITE ( io, 506 )
+          IF ( precipitation )  THEN
+             WRITE ( io, 505 )
+             IF ( turbulence )  WRITE ( io, 507 )
+             IF ( ventilation_effect )  WRITE ( io, 508 )
+             IF ( limiter_sedimentation )  WRITE ( io, 509 )
+          ENDIF
+       ENDIF
     ELSEIF ( humidity  .AND.  cloud_droplets )  THEN
        WRITE ( io, 433 )
@@ -2020,5 +2034,12 @@
 503 FORMAT (' --> Momentum advection via Wicker-Skamarock-Scheme 5th order')
 504 FORMAT (' --> Scalar advection via Wicker-Skamarock-Scheme 5th order')
-
+505 FORMAT ('    Precipitation parameterization via Seifert-Beheng-Scheme')
+506 FORMAT ('    Drizzle parameterization via Stokes law')
+507 FORMAT ('    Turbulence effects on precipitation process')
+508 FORMAT ('    Ventilation effects on evaporation of rain drops')
+509 FORMAT ('    Slope limiter used for sedimentation process')
+510 FORMAT ('        Droplet density    :   N_c   = ',F6.1,' 1/cm**3')
+511 FORMAT ('        Sedimentation Courant number:                  '/&
+            '                               C_s   = ',F3.1,'        ')
 
  END SUBROUTINE header
